## python3-defaults 3.1.3-3ubuntu5~really3.1.2

=== debian/changelog ===
python3-defaults (3.1.3-3ubuntu5~really3.1.2) maverick; urgency=low

  * FFe for merge with Debian. LP: #638537.
  * Merge with Debian; remaining changes:
    - Update keeping the wrong upstream version number, 3.1.3
    - Use really3.1.2 to clarify which upstream version this supports
    - Generate dh_python3 dependencies on python3
      (>= 3.1.3-3ubuntu5~really3.1.2~) to match the Ubuntu version where this
      first appeared.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Sep 2010 22:17:15 +0200

python3-defaults (3.1.2-11) experimental; urgency=low

  * dh_python3:
    - egg renaming fixed
    - generate correct dependency for /usr/bin/python3 shebangs

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 15 Sep 2010 23:18:56 +0200

python3-defaults (3.1.2-10) experimental; urgency=low

  * dh_python3: fix python3:Versions and python3:Provides (now lists Python
    versions for which public extensions are provided by binary package)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 13 Sep 2010 23:03:02 +0200

python3-defaults (3.1.2-9) experimental; urgency=low

  * dh_python3: add tag name to extension files that are missing it
    (to avoid conflicts with python3.2 in Wheezy)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Sep 2010 19:05:46 +0200

python3-defaults (3.1.2-8) experimental; urgency=low

  * py3compile: recognize /usr/lib/python3/ directories correctly
    (dh_python3: minimum required python version bumped to 3.1.2-8)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Sep 2010 17:26:21 +0200

python3-defaults (3.1.2-7) experimental; urgency=low

  [ Piotr Ożarowski ]
  * py3versions.py: open debian/control files with encoding='utf-8' as
    otherwise all my packages (with "ż" in debian/control) will FTBFS if
    user's locale is not set to UTF-8 (f.e. in build daemons)
  * dh_python3:
    - adjust to python3.1 3.1.2+20100909-1 changes
    - move files from /usr/lib/python3.X/dist-packages to
      /usr/lib/python3/dist-packages
    - set the right minimum required python3 package version in
      packages with private modules (for py3compile)
    - add dist_fallback file with a list of Python distribution name and
      Debian package name pairs (to be used as a fall back source for
      PyDist feature)
    - if dist_fallback and `dpkg -S` fails to find the right package name,
      fall back to package name recommended by Debian Python Policy (use
      debian/py3dist-overrides file to override)
  * py3compile, py3clean: adjust to PEP 3147 changes, -R option removed
  * Add manpages for dh_python3, py3compile and py3clean
  * Add README.derivatives (source package)

  [ Matthias Klose ]
  * python3: Install /usr/share/python3/python.mk.
  * python.mk (py_libdir): Return /usr/lib/python3/dist-packages for 3.x
    versions.
  * python.mk (py_pkgname): New macro to refer the package name depending
    on the python version.
  * Generate dependencies on python3 (>= 3.1.2-7~).
  * Require python3.1 3.1.2+20100909 as minimal version.

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Sep 2010 15:54:25 +0200

python3-defaults (3.1.3-3ubuntu4~really3.1.2) maverick; urgency=low

  * Merge from Debian Unstable:  Remaining Ubuntu changes:
    - Update keeping the wrong upstream version number, 3.1.3
    - Use really3.1.2 to clarify which upstream version this supports
    - Generate dh_python3 dependencies on python3
      (>= 3.1.3-3ubuntu4~really3.1.2~) to match the Ubuntu version where this
      first appeared

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Aug 2010 23:55:35 -0400

python3-defaults (3.1.2-6) unstable; urgency=low

  [ Matthias Klose ]
  * Substitution variables for control files always start with a `python3'
    prefix (python:Versions -> python3:Versions, python:Provides ->
    python3:Provides).
  * Generate dependencies on python3 (>= 3.1.2-6~).

  [ Piotr Ożarowski ]
  * py3compile: do not hang if interpreters are not started in the same order
    as they're used
  * dh_python3: pass shallow=False to cmpfiles to make sure file comparison
    works as expected

  [ Scott Kitterman ]
  * Us X-Python3-Version for Python 3 instead of XS-Python-Version (which
    should just be used for Python)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Aug 2010 23:27:45 +0200

python3-defaults (3.1.2-5) unstable; urgency=medium

  * Add README.PyDist to python3-doc package
  * py3compile: compile public module for the right Python version
  * dh_python3: rename --depend to --depends, --recommend to --recommends and
    --suggest to --suggests
  * Bump Standards-Version to 3.9.1

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 28 Jul 2010 22:34:17 +0200

python3-defaults (3.1.3-3ubuntu3) maverick; urgency=low

  * Sync from Debian (keeping the wrong upstream version number 3.1.3).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jul 2010 13:31:27 +0200

python3-defaults (3.1.2-4) unstable; urgency=low

  * dh_python3:
    - add --depend, --recommend and --suggest command line options
     (use it if requires.txt doesn't contain dependency that package needs)
    - add {/usr,}/sbin to the list of directories with checked shebangs
  * py3compile: do not exit before all background byte compilation is finished

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 25 Jul 2010 16:25:04 +0200

python3-defaults (3.1.3-3ubuntu2) maverick; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Jul 2010 15:50:31 +0200

python3-defaults (3.1.2-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * pyclean, pycompile: use .communicate() instead of .wait() to avoid hanging
    `dpkg -L PACKAGE` in few situations
  * dh_python3: follow Distribute and replace all non-alphanumeric
    characters with underscore in distribution name
  * Add python3.{postinst,prerm} scripts
  * python3-doc now suggests python3-examples
  * Bump Standards-Version to 3.9.0

  [ Scott Kitterman ]
  * Drop deprecated call to dh_desktop from debian/rules


=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 6.0.7~), python
Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils, lsb-release
Standards-Version: 3.9.1
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files

Package: python3
Architecture: all
Depends: python3.1 (>= 3.1.2+20100909-1~), python3-minimal (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version}), python3-profiler (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.1).

Package: python3-minimal
Architecture: all
Depends: python3.1-minimal (>= 3.1.2+20100909-1~), dpkg (>= 1.13.20), ${misc:Depends}
Breaks: python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
Replaces: python3.1 (<< 3.1-2)
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.1-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python3-examples
Architecture: all
Depends: python3 (= ${binary:Version}), python3.1-examples (>= 3.1.2+20100909-1~), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.1).

Package: python3-dev
Architecture: all
Depends: python3 (= ${binary:Version}), python3.1-dev (>= 3.1.2+20100909-1~), ${misc:Depends}
Replaces: python3.1 (<< 3.1.2+20100706-3)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.1).

Package: idle3
Architecture: all
Depends: python3 (= ${binary:Version}), python3-tk, ${misc:Depends}
Enhances: python3
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.1).

Package: python3-doc
Section: doc
Architecture: all
Depends: python3.1-doc (>= 3.1.2+20100909-1~), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v3.1). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v3.1).

Package: python3-dbg
Architecture: all
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), python3.1-dbg (>= 3.1.2+20100909-1~), ${misc:Depends}
Description: debug build of the Python Interpreter (version 3.1)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python3.1/lib-dynload/debug first.

Package: python3-all
Architecture: all
Depends: python3 (= ${binary:Version}), python3.1, ${misc:Depends}
Description: package depending on all supported Python runtime versions
 The package currently depends on python3.1, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python runtimes.

Package: python3-all-dev
Architecture: all
Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), python3.1-dev, ${misc:Depends}
Description: package depending on all supported Python development packages
 The package currently depends on python3.1-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

Package: python3-all-dbg
Architecture: all
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), python3.1-dbg, ${misc:Depends}
Description: package depending on all supported Python debugging packages
 The package currently depends on python3.1-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell lsb_release -is)

export VER=3.1
export NVER=3.2
export PVER=python3.1

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
PREVVER := 3.1.2+20100909-1~

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	touch stamp-doc-policy

stamp-doc: #stamp-doc-policy
	make -C pydist README.PyDist.html
	touch stamp-doc

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install
ifeq (0,1)
	dh_installdirs usr/share/doc/python/faq

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/
endif
	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	#make check_versions
	DESTDIR=debian/python3 PREFIX=/usr make install-dev
	DESTDIR=debian/python3 PREFIX=/usr make install-runtime
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

	: # provide the python and python.1 defaults
	mkdir -p debian/python3-minimal/usr/bin
	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
	mkdir -p debian/python3-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python3-minimal/usr/share/man/man1/python3.1.gz

	: # 
	mkdir -p debian/python3-minimal/usr/share/python3
	cp -p debian/debian_defaults \
		debian/python3-minimal/usr/share/python3/

	install -m 755 debian/py3versions.py \
		debian/python3-minimal/usr/share/python3/
	install -m 644 debian/py3versions.1 \
		debian/python3-minimal/usr/share/man/man1/
	dh_link -ppython3 /usr/share/python3/py3versions.py /usr/bin/py3versions

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python3/usr/bin
	ln -sf pydoc$(VER) debian/python3/usr/bin/pydoc3
	ln -sf pygettext$(VER) debian/python3/usr/bin/pygettext3
	ln -sf pdb$(VER) debian/python3/usr/bin/pdb3

	mkdir -p debian/python3/usr/share/python3
	install -m 644 debian/python.mk \
		debian/python3/usr/share/python3/

	mkdir -p debian/python3/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python3/usr/share/man/man1/pydoc3.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python3/usr/share/man/man1/pygettext3.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python3/usr/share/man/man1/pdb3.1.gz

	mkdir -p debian/python3/usr/share/doc/python3
ifeq (0,1)
	cp -a debian/python-policy.{html,sgml,txt} \
		debian/python/usr/share/doc/python3/
endif

	mkdir -p debian/python3/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python3/usr/share/pixmaps/python3.xpm

ifeq (0,1)
	: # add symlinks to policy files
	mkdir -p debian/python/usr/share/doc/python$(VER)
	for ext in html sgml.gz txt.gz; do \
	  ln -sf ../python/python-policy.$$ext \
		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
	done
endif

ifeq ($(with_doc),yes)
	mkdir -p debian/python3-doc/usr/share/doc/python3
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3/html
	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3-doc/html
endif

ifeq (0,1)
	mkdir -p debian/python3/usr/share/apps/konsole
	cp -p debian/python.desktop debian/python3/usr/share/apps/konsole/
endif

	: # provide the python3-config default
	mkdir -p debian/python3-dev/usr/bin
	ln -sf python$(VER)-config debian/python3-dev/usr/bin/python3-config

	: # provide pkgconfig defaults
	mkdir -p debian/python3-dev/usr/lib/pkgconfig
	ln -sf python-$(VER).pc debian/python3-dev/usr/lib/pkgconfig/python3.pc
	mkdir -p debian/python3-dbg/usr/lib/pkgconfig
	ln -sf python-$(VER)-dbg.pc debian/python3-dbg/usr/lib/pkgconfig/python3-dbg.pc

	: # provide the python-dbg and python-dbg.1 defaults
	mkdir -p debian/python3-dbg/usr/bin
	ln -sf python$(VER)-dbg debian/python3-dbg/usr/bin/python3-dbg
	ln -sf python$(VER)-dbg-config debian/python3-dbg/usr/bin/python3-dbg-config
	mkdir -p debian/python3-dbg/usr/share/man/man1
	ln -sf python$(VER)-dbg.1.gz \
		debian/python3-dbg/usr/share/man/man1/python3-dbg.1.gz
	mkdir -p debian/python3-dbg/usr/share/doc/python3
	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
		debian/python3-dbg/usr/share/doc/python3/SpecialBuilds.txt.gz
	ln -sf ../python$(VER)/README.debug \
		debian/python3-dbg/usr/share/doc/python3/README.debug

	mkdir -p debian/python3/usr/lib/valgrind
	cp -p debian/valgrind-python.supp \
		debian/python3/usr/lib/valgrind/python3.supp

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle3/usr/bin
	install -m 755 debian/idle.py debian/idle3/usr/bin/idle3

	mkdir -p debian/idle3/usr/share/man/man1

## python3-defaults 3.1.3-12

=== debian/changelog ===
python3-defaults (3.1.3-12) unstable; urgency=low

  [ Matthias Klose ]
  * Depend on the 3.1.3 versions of the packages.

  [ Piotr Ożarowski ]
  * py3compile: do not try to check if interpreter is present when version
    range is empty

 -- Matthias Klose <doko@debian.org>  Mon, 29 Nov 2010 21:43:51 +0100

python3-defaults (3.1.2-12) unstable; urgency=low

  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 22 Sep 2010 23:20:10 +0200

## python3-defaults 3.1.3-12+squeeze1

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	rm -f .coverage

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python3/runtime.d \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python3/runtime.d/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/
	$(INSTALL) -m 755 dh_python3 $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 644 python3.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python3/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python3/debpython/
	$(INSTALL) -m 755 py3compile $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 py3clean $(DESTDIR)$(PREFIX)/bin/

install: install-dev install-runtime

dist_fallback:
	make -C pydist $@

nose:
	nosetests --with-doctest --with-coverage

tests: nose
	make -C tests

test%:
	make -C tests $@

check_versions:
	@PYTHONPATH=. set -e; \
	DEFAULT=`python3 -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))'`;\
	SUPPORTED=`python3 -c 'import debpython.version as v; print(" ".join(sorted(v.vrepr(v.SUPPORTED))))'`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0.9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo 'Please update DEFAULT in debpython/version.py' >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false)

.PHONY: clean tests test% check_versions

=== tests/Makefile ===
#!/usr/bin/make -f

all: scripts test1

test%:
	(cd t$*; debuild -us -uc)

scripts:
	sh ./test_scripts.sh

clean:
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb
	(cd t1; ./debian/rules clean)
	@find . -name '*\.egg-info' -exec rm -rf "{}" \; || true

.PHONY: clean

=== debian/changelog ===
python3-defaults (3.1.3-12+squeeze1) stable; urgency=low

  * dh_python3: ignore binary files while checking shebangs (Closes: #651437)
    - Cherrypicked from /pkg-python/python3-defaults-debian revision 83

 -- Scott Kitterman <scott@kitterman.com>  Thu, 05 Jan 2012 17:51:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python3-defaults
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 6.0.7~), python
 Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils, lsb-release
@@ -13,7 +12,7 @@
 
 Package: python3
 Architecture: all
-Depends: python3.1 (>= 3.1.2+20100909-1~), python3-minimal (= ${binary:Version}), ${misc:Depends}
+Depends: python3.1 (>= 3.1.3), python3-minimal (= ${binary:Version}), ${misc:Depends}
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version}), python3-profiler (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Description: interactive high-level object-oriented language (default python3 version)
@@ -26,7 +25,7 @@
 
 Package: python3-minimal
 Architecture: all
-Depends: python3.1-minimal (>= 3.1.2+20100909-1~), dpkg (>= 1.13.20), ${misc:Depends}
+Depends: python3.1-minimal (>= 3.1.3), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
 Replaces: python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
@@ -37,7 +36,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.1-examples (>= 3.1.2+20100909-1~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.1-examples (>= 3.1.3), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -47,7 +46,7 @@
 
 Package: python3-dev
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.1-dev (>= 3.1.2+20100909-1~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.1-dev (>= 3.1.3), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -71,7 +70,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.1-doc (>= 3.1.2+20100909-1~), ${misc:Depends}
+Depends: python3.1-doc (>= 3.1.3), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python
  This is the official set of documentation for the interactive high-level
@@ -95,7 +94,7 @@
 Architecture: all
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), python3.1-dbg (>= 3.1.2+20100909-1~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.1-dbg (>= 3.1.3), ${misc:Depends}
 Description: debug build of the Python Interpreter (version 3.1)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python3.1/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python3.1
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.1.2+20100909-1~
+PREVVER := 3.1.3
 
 PWD		:= $(shell pwd)
 
@@ -265,3 +265,5 @@
 	install -m 755 debian/idle.py debian/idle3/usr/bin/idle3
 
 	mkdir -p debian/idle3/usr/share/man/man1
+	install -m 644 debian/idle.1 debian/idle3/usr/share/man/man1/idle3.1
+

=== tests/t1/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	python3 setup.py install --root=debian/python3-foo/

override_dh_pysupport:
	find debian/ -name jquery.js -exec \
	ln -fs /usr/share/javascript/jquery/jquery.js '{}' \;
	DH_VERBOSE=1 ../../dh_python3\
		--depends 'SQLAlchemy >= 0.6.1'\
		--recommends Mako\
		--suggests 'Foo >= 0.1'\
		--suggests 'bar >= 1.0'

clean:
	rm -rf build
	dh clean

override_dh_auto_clean:
	#python3 setup.py clean

## python3-defaults 3.2-1ubuntu1

=== debian/changelog ===
python3-defaults (3.2-1ubuntu1) natty; urgency=low

  * Use prerm-py3clean instead of prerm-pyclean in prerm scripts (LP: #760401)
    - Thanks to IRIE Shinsuke for the patch

 -- Scott Kitterman <scott@kitterman.com>  Thu, 14 Apr 2011 16:26:01 -0400

python3-defaults (3.2-1) experimental; urgency=low

  [ Piotr Ożarowski ]
  * dh_python3 and py3compile: read /usr/share/python3/debian_defaults to get
    default Python 3 version and a list of supported Python 3 versions
  * py3compile:
    - let py_compile.py warn about syntax errors again
  * dh_python3:
    - fix checking shebangs in private directories (executable bit wasn't
      checked correctly)
    - private modules without extensions will not cause FTBFS anymore
      (closes: 617358, thanks to IRIE Shinsuke for the patch)
    - generate "python3 (>= 3.X), python3 (<< 3.Y)" dependencies if package
      provides public extensions
    - make egg-info files/dirs searches case insensitive

  [ Scott Kitterman ]
  * More Python/Python 3 in package descriptions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 23 Mar 2011 22:48:56 -0400

python3-defaults (3.2~rc1-2) experimental; urgency=low

  * dh_python3: add support for DH_OPTIONS env. variable
  * disable check_versions test and drop python3 package from Build-Depends

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 20 Jan 2011 23:29:04 +0100

python3-defaults (3.2~rc1-1) experimental; urgency=low

  * Bump Python minimum version to >= 3.2~rc1
  * dh_python3: ignore binary files while checking shebangs
  * py3compile: fix magic number check

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 19 Jan 2011 19:16:30 +0100

python3-defaults (3.2~b2-2) experimental; urgency=low

  * dh_python3
    - fix moving files from old debug locations
    - move as many files to /usr/lib/python3/dist-packages as possible
      (files that cannot be shared between Python 3.X versions are left in
      original location for now)
    - add tag name to Python >= 3.2 extensions if they're missing (due to
      custom build system) in /usr/lib/pythonX.Y/dist-packages directories

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 06 Jan 2011 21:22:51 +0100

python3-defaults (3.2~b2-1) experimental; urgency=low

  [ Matthias Klose ]
  * Default to Python 3.2.
  * py3compile:
    - Don't over-optimize, check the timestamps of byte-code files.
    - Add options -f/--force, -O.
    - Copy stdout/stderr of py_compile processes in case of error.
    - Propagate the exit value of the py_compile processes.
    - Update manual page.
  * Bump depends to require the fixed pycompile for dh_python3 based package
    builds.
  * Don't touch the standard python library in rtupdate scripts.

  [ Piotr Ożarowski ]
  * dh_python3:
    - do not rename .so files outside dist-packages directory
      (Python 3.1 tag name will be added only in public directories)
    - generate proper dependencies/maintainer scripts for private
      directories with private extensions for more than one Python version
    - fix a crash in packages with private extension, test2 added (to test
      architecture dependent packages)
   * Invoke /usr/share/python3/runtime.d/ hooks in python3's preinst and
     postinst

  [ Scott Kitterman ]
  * Convert python.desktop to python3.desktop

 -- Scott Kitterman <scott@kitterman.com>  Thu, 23 Dec 2010 17:55:40 -0500

python3-defaults (3.1.3-15) experimental; urgency=low

  [ Matthias Klose ]
  * Depend on the 3.1.1 versions of the packages.

  [ Piotr Ożarowski ]
  * py3compile: do not try to check if interpreter is present when version
    range is empty

 -- Matthias Klose <doko@debian.org>  Tue, 30 Nov 2010 18:43:11 +0100

python3-defaults (3.1.2-15) experimental; urgency=low

  * debpython/version.py: Add 3.2 as supported version.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Oct 2010 15:03:53 +0200

python3-defaults (3.1.2-14) experimental; urgency=low

  * Add python3.2 as a supported version.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Oct 2010 16:42:31 +0200

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 6.0.7~), python
Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils, lsb-release
Standards-Version: 3.9.1
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files

Package: python3
Architecture: all
Depends: python3.2 (>= 3.2~rc1), python3-minimal (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version}), python3-profiler (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.2).

Package: python3-minimal
Architecture: all
Depends: python3.2-minimal (>= 3.2~rc1), dpkg (>= 1.13.20), ${misc:Depends}
Breaks: python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
Replaces: python3.1 (<< 3.1-2)
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.2-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python3-examples
Architecture: all
Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2~rc1), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.2).

Package: python3-dev
Architecture: all
Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2~rc1), ${misc:Depends}
Replaces: python3.1 (<< 3.1.2+20100706-3)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.2).

Package: idle3
Architecture: all
Depends: python3 (= ${binary:Version}), python3-tk, ${misc:Depends}
Enhances: python3
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.2).

Package: python3-doc
Section: doc
Architecture: all
Depends: python3.2-doc (>= 3.2~rc1), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v3.2). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.2).

Package: python3-dbg
Architecture: all
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2~rc1), ${misc:Depends}
Description: debug build of the Python Interpreter (version 3.2)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python3.2/lib-dynload/debug first.

Package: python3-all
Architecture: all
Depends: python3 (= ${binary:Version}), python3.1, python3.2, ${misc:Depends}
Description: package depending on all supported Python runtime versions
 The package currently depends on python3.1 and python3.2, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: all
Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), python3.1-dev, python3.2-dev, ${misc:Depends}
Description: package depending on all supported Python development packages
 The package currently depends on python3.1-dev and python3.2-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python 3 development packages.

Package: python3-all-dbg
Architecture: all
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), python3.1-dbg, python3.2-dbg, ${misc:Depends}
Description: package depending on all supported Python debugging packages
 The package currently depends on python3.1-dbg and python3.2-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python 3 debug packages.

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,12 @@
 
 distribution := $(shell lsb_release -is)
 
-export VER=3.1
-export NVER=3.2
-export PVER=python3.1
+export VER=3.2
+export NVER=3.3
+export PVER=python3.2
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.1.3
+PREVVER := 3.2~rc1
 
 PWD		:= $(shell pwd)

=== tests/t2/debian/rules ===
#!/usr/bin/make -f
PYVERS = $(shell ../../debian/py3versions -vr)
PYDEF = $(shell ../../debian/py3versions -d)

%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:
	# install also as private extension
	dh_install debian/python3-foo/usr/lib/python3/dist-packages/foo/bar*.so \
		/usr/lib/python3-foo/
	DH_VERBOSE=1 ../../dh_python3

override_dh_auto_build:
	for ver in $(PYVERS); do\
	  python$$ver setup.py build; done

override_dh_auto_install:
	for ver in $(PYVERS); do\
	  python$$ver setup.py install --install-layout=deb --root=debian/python3-foo;\
	done

override_dh_auto_clean:

## python3-defaults 3.2.2~rc1-2

=== debian/changelog ===
python3-defaults (3.2.2~rc1-2) unstable; urgency=medium

  * Medium urgency to avoid blocking the python2.7 transition
  * python3 now provides python3-profiler
  * Drop suggests on old (non-free) python3-profiler package

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Sep 2011 11:29:05 -0400

python3-defaults (3.2.2~rc1-1) unstable; urgency=low

  * Update upstream version to match python3.2
  * dh_python3: Assume .so files without tag in /usr/lib/python3/ are built for
    Python 3.2 instead of for Python 3.1
  * dh_python3 and dh_python3.1: add --no-dbg-cleaning option (to disable
    removing files from debug packages) from dh_python2

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Sep 2011 01:14:16 -0400

python3-defaults (3.2-3) unstable; urgency=low

  * Fix a typo in dh_python3 and generate correct prerm scripts
    (with py3clean rather than pyclean, thanks to IRIE Shinsuke for bug
    reporta and a patch, closes: 622708, LP: #760401)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 14 Apr 2011 21:44:29 +0200

python3-defaults (3.2-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Drop Python 3.1 from supported Python 3 versions
  * python.mk: add py_builddir and py_builddir_sh macros.
    $(call py_builddir, 3.2) returns "build/lib.linux-x86_64-3.2" on amd64

  [ Scott Kitterman ]
  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Sun, 03 Apr 2011 19:02:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python3-defaults
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 6.0.7~), python
 Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils, lsb-release
@@ -13,9 +12,10 @@
 
 Package: python3
 Architecture: all
-Depends: python3.2 (>= 3.2~rc1), python3-minimal (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version}), python3-profiler (>= ${binary:Version})
+Depends: python3.2 (>= 3.2.2~rc1), python3-minimal (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
+Provides: python3-profiler
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -26,7 +26,7 @@
 
 Package: python3-minimal
 Architecture: all
-Depends: python3.2-minimal (>= 3.2~rc1), dpkg (>= 1.13.20), ${misc:Depends}
+Depends: python3.2-minimal (>= 3.2.2~rc1), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
 Replaces: python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
@@ -37,7 +37,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2~rc1), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2.2~rc1), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -47,7 +47,7 @@
 
 Package: python3-dev
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2~rc1), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.2~rc1), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -71,7 +71,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.2-doc (>= 3.2~rc1), ${misc:Depends}
+Depends: python3.2-doc (>= 3.2.2~rc1), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python
  This is the official set of documentation for the interactive high-level
@@ -95,16 +95,16 @@
 Architecture: all
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2~rc1), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.2~rc1), ${misc:Depends}
 Description: debug build of the Python Interpreter (version 3.2)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python3.2/lib-dynload/debug first.
 
 Package: python3-all
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.1, python3.2, ${misc:Depends}
-Description: package depending on all supported Python runtime versions
- The package currently depends on python3.1 and python3.2, in the future,
+Depends: python3 (= ${binary:Version}), python3.2, ${misc:Depends}
+Description: package depending on all supported Python 3 runtime versions
+ The package currently depends on python3.2, in the future,
  dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
  may be added.
  .
@@ -113,9 +113,9 @@
 
 Package: python3-all-dev
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), python3.1-dev, python3.2-dev, ${misc:Depends}
-Description: package depending on all supported Python development packages
- The package currently depends on python3.1-dev and python3.2-dev, in the
+Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), python3.2-dev, ${misc:Depends}
+Description: package depending on all supported Python 3 development packages
+ The package currently depends on python3.2-dev, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -126,9 +126,9 @@
 Architecture: all
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), python3.1-dbg, python3.2-dbg, ${misc:Depends}
-Description: package depending on all supported Python debugging packages
- The package currently depends on python3.1-dbg and python3.2-dbg, in the
+Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), python3.2-dbg, ${misc:Depends}
+Description: package depending on all supported Python 3 debugging packages
+ The package currently depends on python3.2-dbg, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python3.2
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.2~rc1
+PREVVER := 3.2.2~rc1
 
 PWD		:= $(shell pwd)
 
@@ -266,4 +266,3 @@
 
 	mkdir -p debian/idle3/usr/share/man/man1
 	install -m 644 debian/idle.1 debian/idle3/usr/share/man/man1/idle3.1
-
